# Generated by Django 3.2.7 on 2021-10-05 18:45

from django.db import migrations, models
import site_settings.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='SiteSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contact_email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='Email contact')),
                ('date_start', models.DateField(blank=True, null=True, verbose_name='Date de début')),
                ('date_end', models.DateField(blank=True, null=True, verbose_name='Date de fin')),
                ('registrations_open', models.BooleanField(default=True, verbose_name='Ouvrir la création de compte')),
                ('inscriptions_open', models.BooleanField(default=False, verbose_name='Ouvrir les inscriptions')),
                ('activity_submission_open', models.BooleanField(default=False, help_text='Permet de proposer une activité via le formulaire dédié', verbose_name="Ouvrir l'ajout d'activité")),
                ('show_host_emails', models.BooleanField(default=False, help_text='Ces mail sont affichés sur la page activités pour que les gens puissent les contacter', verbose_name="Afficher les mails des orgas d'activités")),
                ('inscriptions_start', models.DateTimeField(blank=True, help_text="Cette date n'est qu'informative. Les inscription s'ouvrent via la checkbox uniquement", null=True, verbose_name='Ouverture des inscriptions')),
                ('inscriptions_end', models.DateTimeField(blank=True, help_text="Cette date n'est qu'informative. Les inscription se ferment via la checkbox uniquement", null=True, verbose_name='Fermeture des inscriptions')),
                ('display_planning', models.BooleanField(default=False, verbose_name='Afficher le planning')),
                ('planning_file', models.FileField(blank=True, null=True, storage=site_settings.models.OverwriteStorage(), upload_to='', verbose_name='Version PDF du planning')),
                ('activities_allocated', models.BooleanField(default=False, help_text="Suppose que l'allocation des activités a été effectuée.", verbose_name='Afficher les activités obtenues')),
                ('discord_link', models.CharField(blank=True, max_length=200, null=True, verbose_name='Lien du serveur discord')),
                ('allow_mass_mail', models.BooleanField(default=False, help_text="Par sécurité, n'activez ceci qu'au moment d'envoyer les emails et désactivez le après", verbose_name="Permettre l'envoi de mails collectifs (aux utilisateurs et orgas)")),
                ('user_notified', models.BooleanField(default=False, help_text="Ce champ existe pour éviter l'envoie de plusieurs mails successifs. Le decocher permet de renvoyer tous les mails", verbose_name="L'email de répartition des activités a été envoyé")),
                ('orga_notified', models.BooleanField(default=False, help_text="Ce champ existe pour éviter l'envoie de plusieurs mails successifs. Le decocher permet de renvoyer tous les mails", verbose_name="L'email de liste des participants a été envoyé")),
                ('global_message', models.TextField(blank=True, help_text='Message affiché en haut de chaque page (si non vide)', null=True, verbose_name='Message global')),
                ('global_message_as_html', models.BooleanField(default=False, help_text='Assurez vous que le message est bien formaté, cela peut casser toutes les pages du site', verbose_name='Message global au format HTML')),
                ('caption_red', models.CharField(blank=True, default='Jeux de rôle grandeur nature', max_length=200, null=True, verbose_name='Légende planning (rouge)')),
                ('caption_orange', models.CharField(blank=True, default='Jeux de rôle sur table', max_length=200, null=True, verbose_name='Légende planning (orange)')),
                ('caption_yellow', models.CharField(blank=True, default='Activités libres', max_length=200, null=True, verbose_name='Légende planning (jaune)')),
                ('caption_green', models.CharField(blank=True, default='Tournois', max_length=200, null=True, verbose_name='Légende planning (vert)')),
                ('caption_blue', models.CharField(blank=True, default='Événements de début et fin', max_length=200, null=True, verbose_name='Légende planning (bleu)')),
                ('caption_dark_blue', models.CharField(blank=True, default='Jeux vidéos', max_length=200, null=True, verbose_name='Légende planning (bleu foncé)')),
                ('caption_black', models.CharField(blank=True, default='Autre', max_length=200, null=True, verbose_name='Légende planning (noir)')),
            ],
            options={
                'verbose_name': 'paramètres',
                'verbose_name_plural': 'paramètres',
            },
        ),
    ]
